R-Drive Image

R-Drive Image is unique and powerful drive image software. It creates drive image files on-the-fly, that is, without stopping Windows. Such images may be stored anywhere including various removable media. It compresses image data with variable compression level to save free space. It also restores such images on the disks on-the-fly, except system partitions. R-Drive Image creates special startup floppy disks or CD to restore system partitions. It connects images as virtual disks to copy only certain files from the images. It also directly copies an entire disk to another - no time spent for file structure scanning.

Note: The current version does not support dynamic disks.

The R-Drive Image Features topic tells more about R-Drive Image.

The Disk Actions chapter explains disk actions such as:

· Create an Image of a partition, logical disk, or entire hard drive
· Restore Data from an Image
· Copy Disk to Disk to make an exact copy of one disk on another
· Connect an Image as a Virtual Logical Disk (read-only)
· Disconnect Virtual Logical Disks
· Check an Image File to check an existing image file

The Advanced Disk Actions chapter explains how to perform advanced disk actions such as:

· Create Startup Disk
· Restoring Data to a System or Other Locked Disk
· Create an Image Using the Startup Floppy Disks
· Disk to Disk Copy

The Scheduled Actions, Command Line Operations, and Scripting chapter explains how to start disk actions automatically at scheduled times/events and create scripts that can be performed from a command line.

· Scheduler and Unattended Actions
· Scripting and Command Line Operations

The Technical Information chapter gives technical information on

· Supported CD and DVD Recorders
· List of Supported Hardware Devices

Follow this link to obtain R-Drive Image Contact Information and Technical Support


R-Drive Image Features

R-Drive Image is unique and powerful drive image software. It creates disk images: files that contain exact, byte-by-byte, copies of hard drives, partitions, or logical disks. Such images may be stored in any location: other hard disks or various removable media, such as CD-R(W) and DVD discs, Iomega Zip or Jazz disks, etc. At any time, data from such images may be restored on their original disks or on any other partitions or even on drive's free space.

Note: The current version does not support dynamic disks.

Using R-Drive Image, you can completely restore your system immediately after heavy data loss caused by an operating system crash, virus attack, or hardware failure. You can also use R-Drive Image for mass system deployment: if you need to setup many identical computers, you can setup manually only one system, than, using R-Drive Image, you can make an image of the system, and deploy it on all other computers, saving your time and cost.

You can copy a hard drive, partition, or logical disk directly to another one. Such copying is much faster than traditional file by file copying, as no time spent for file structure scanning.

If you need to restore only certain files from an image, you can connect that image as a read-only virtual disk and copy those files directly from the image using Windows Explorer or any other file utility.

R-Drive Image features:

· A simple wizard interface – no in-depth computer management skills are required.
· Image files are created on-the-fly, no need to stop and restart Windows. All other disk writes are stored in a cache until the image is created.
· Images can be created for storage devices with removable media
· Image data can be compressed to save free space.
· Image files can be stored on removable media. Support for USB 2.0 devices in the startup mode.
· Images can be split into several files to fit the type of the storage medium.
· Image can be created incrementally.
· Image files can be password-protected and contain comments.
· Data from an image are restored on-the-fly, except on a system partition. Data to the system partition can be restored either by restarting R-Drive Image in its startup mode directly from Windows, or by using specially created startup disks.
· Special startup disks (either 2 floppy disks or a startup CD) can be created to restore data to a system partition.
· The file system of the restored disk can be converted to another one (FAT16 to FAT32 and vise versa.).
· Data from an image can be restored on a free (unpartitioned) space on any place on a hard drive. The size of the restored partition can be changed
· Data from an image can be restored on other existing partitions. R-Drive Image deletes such partitions and restores data on that free space.
· An entire disk can be directly copied on another one.
· An image can be connected as a read-only virtual drive and its content can be viewed and copied.
· An image can be checked for its integrity.
· A built-in scheduler automatically starts disk actions at scheduled times/events.
· Scripts can be created for frequent or unattended actions. Scripts are executed from a command line and can be included in any command file.

The Disk Actions chapter explains basic disk actions.

The Advanced Disk Actions chapter explains how to perform advanced disk actions.

The Technical Information chapter gives technical information on Supported CD and DVD Recorders and List of Supported Hardware Devices

Follow this link to obtain R-Drive Image Contact Information and Technical Support


Contact Information and Technical Support

To obtain the latest version of R-Drive Image, go to:

Product Site: http://www.r-tt.com

Sales Department: sales@r-tt.com

The R-Drive Image Technical Support Team is available 24 hours a day, seven days a week, and has an average e-mail response time less than 4 hours.

Tech. Support: support@r-tt.com

You may send a Support Request Form directly from this help or from http://www.r-tt.com/Support_request.html .

The Disk Actions chapter explains basic disk actions.

The Advanced Disk Actions chapter explains how to perform advanced disk actions.

The Technical Information chapter gives technical information on Supported CD and DVD Recorders and List of Supported Hardware Devices


 Disk Actions

Disk Actions

This chapter explains how to perform disk actions. Each action starts from the Action Selection panel.

To start a required action, select

· Create an Image to start creating an image of a partition, logical disk, or entire hard drive
· Restore from an Image to start restoring data from an image
· Copy Disk to Disk to make an exact copy of one disk on another
· Connect an Image as a Virtual Logical Disk to start connecting an image as a read-only virtual disk
· Disconnect Virtual Logical Disks to start disconnecting virtual logical disks
· Check an Image File to check an existing image file

The Advanced Disk Actions chapter explains how to perform advanced disk actions such as:

· Create Startup Disk
· Restoring Data to a System or Other Locked Disk
· Create an Image Using the Startup Floppy Disks
· Disk to Disk Copy

The Scheduled Actions, Command Line Operations, and Scripting chapter explains how to start disk actions automatically at scheduled times/events and create scripts that can be performed from a command line.

· Scheduler and Unattended Actions
· Scripting and Command Line Operations

The Technical Information chapter gives technical information on

· Supported CD and DVD Recorders
· List of Supported Hardware Devices

The R-Drive Image Features topic tells more about R-Drive Image.

Follow this link to obtain R-Drive Image Contact Information and Technical Support.


 Create an Image

Create an Image

Note: The current version does not support dynamic disks.

To create an image:

 Click Create an Image on the Action Selection panel

R-Drive Image will start analyzing the computer disk configuration, the Progress... message showing the progress. Then the Partition Selection panel will show the configuration.

More information...

Disk Configuration

Primary partition [image] Logical disk [image] Unallocated space

Note: If other low-level disk software (including Windows internal services) is running, the Error: Another partitioner is active message may appear and R-Drive Image will not go to the next panel. Stop this low-level disk software or wait until Windows services stop this low-level disk access before proceeding further.

‚ Select the objects you want to backup on the Partition Selection panel and click the Next button

You may select all objects on a hard drive by clicking the hard drive icon.

More information...

Selected Objects

Primary partition [image] Logical disk [image] Unallocated space
ƒ Select the place on the Image Destination panel to which the image files will be written, specify the file name, and click the Next button

You may select any place including connected network drives, supported CD and DVD Recorders, or any other devices with removable storage.

If you try to overwrite an existing image file, the Imaging Mode panel will appear. You may either overwrite the file or add incremental data to the existing image. If you choose to overwrite the file, the You are about to overwrite an existing image file... message will appear. You may either overwrite the file or select another file name for the image. If you try to append data to a password-protected image file, the Password prompt... message will appear. Enter the password and click the OK button.

„ Specify image options on the Image Options panel and click the Next button

You may specify image options on this panel.

Image options

Options
Image name: | Shows the file name for the image. You cannot change the file name on this panel.
Image compression ratio | You may compress the data in the image to save space. An actual image size depends on how much empty space is on the selected partition and what file types are there.
Backup type | You may store in the image either the exact Sector by sector backup copy of the object or Backup useful information only, that is, you do not have to store empty space of the object in image files.
Estimated size | Shows the estimated size of the image file
Image split size | You may set this option to Automatic and let Windows decide how to split the image file. This mostly depends on the file system on the destination disk. You may also either explicitly specify the split size, or choose a preset for various devices with removable storage. Select Fixed size for that.
Password | You may protect your image file with a password. Note: This feature provides a relatively moderate protection against conventional unauthorized access.
Image description | You may attach a text description to the image for annotation. Maximum length of the description is 255 characters.
… Specify backup options on the Backup Options panel and click the Next button

Backup Options

Snapshot provider | A snapshot provider is a service R-Drive Image uses to read the disk content while creating its image. R-Drive Image uses the snapshot providers in the order specified on the tab. If it fails to use the first one selected, it tries to use the second one, and so on.
Windows Volume Snapshot Service | If this check box is selected, R-Drive Image will try to use the Windows native snapshot provider. This snapshot provider is able to notify system applications that a snapshot is being taken.
R-TT Volume Snapshot Service | If this check box is selected, R-Drive Image will try to use R-TT snapshot provider. This snapshot provider is not able to notify system applications that a snapshot is being taken.
Notify system applications | If this check box is selected, the snapshot provider, if it supports this feature, notifies system applications that a snapshot is being taken.
Backup AUX applications | R-Drive Image is able to make applications run before and after all backup operations. Please note that those application should return a 0 exit code. Leave these fields blank if in doubt.
Before | An application R-Drive Image starts before the backup operations starts.
After | An application R-Drive Image starts after the backup operations completes.
Snapshot AUX applications | R-Drive Image is able to make applications run before and after taking the snapshot of one or several volumes. Please note that those application should return a 0 exit code. Leave these fields blank if in doubt.
Before | An application R-Drive Image starts before it takes the snapshot of one or several volumes.
After | An application R-Drive Image starts after it takes the snapshot of one or several volumes.
Save as default | Click this button to make the current settings default.
Reset | Click this button to reset the current settings default.
Restore defaults | Click this button to restore default settings.
† Verify that the information on the Processing panel is correct and click the Start button

You may also create a script for this action. Click the Script to Clipboard button and paste the script to any text-processing utility.

Ü R-Drive Image will start creating the image file(s)

The Progress bar will show the progress of the current operation and overall process. When the image is created, the Image created successfully. message will appear. You may cancel the current operation by clicking the Cancel button. The Operation canceled by user message will appear.

Writing images on CD-R/RW discs and other devices with removable storage

CD-R/RW and DVD discs

When you click the Start button, R-Drive Image will open the CD-R/RW drive tray and the Insert a blank CD-R/RW disc... message will appear. Insert a blank CD-R/RW disc and click the OK button. Each time R-Drive Image fills the disc, the Insert the next blank CD-R/RW disc... message will appear. Insert the next blank CD-R/RW disc and click the OK button.

Usually, a CD-R/RW drive requires some time to analyze the inserted CD disc. Sometimes, another program (including Windows itself) may try to access the CD-R/RW drive on which the image is being written. You will see the Device is busy message in this case. Close this program, or wait until the CD-R/RW drive stops analyzing the CD disc, or Windows stops accessing the CD-R/RW drive, and click the OK button to continue writing the image on CD-R/RW discs.

If you mistakenly insert a non-empty CD-R/RW disc, the CD-R/RW disc is not empty... message will appear. Change the disc to another empty CD-R/RW disc and click the OK button.

Supported CD and DVD Recorders.

Other devices with removable storage

When the removable disk in the device is full, the Disk is full... message will appear. Change the disk and click the OK button. Follow the device instructions on how to change its disks.

Disk/file structure for CD-R/RW discs and other devices with removable storage

If you specify the filename.arc file name for the image file, R-Drive Image will create the following disk/file structure:

Disc

File name

The first disk

filename1.arc

The second disk

filename2.arc

The third disk

filename3.arc

...

...

It is recommended that you mark the disk accordingly. You will start restoring the data from the last disk. Go to the Restore Data from an Image topic for more details.

The Disk Actions chapter explains basic disk actions.

The Advanced Disk Actions chapter explains how to perform advanced disk actions.

The Technical Information chapter gives technical information on Supported CD and DVD Recorders and List of Supported Hardware Devices

Follow this link to obtain R-Drive Image Contact Information and Technical Support


 Restore Data from an Image

Restore Data from an Image

Note: The current version does not support dynamic disks.

We recommend you stop all other programs before you start restoring data on a partition.

Note: Go to the Restoring Data to a System or Other Locked Disk topic if you want to learn how to restore data to system disks.

To restore data from an image:

 Click Restore from an Image on the Action Selection panel

R-Drive Image will start analyzing the computer disk configuration, the Progress... message showing the progress. Then R-Drive Image will show you the Image File Selection panel with the disks/folder structure.

Note: If other low-level disk software (including Windows internal services) is running, the Error: Another partitioner is active message may appear and R-Drive Image will not go to the next panel. Stop this low-level disk software or wait until Windows services stop this low-level disk access before proceeding further.

‚ Select the file with the image on the Image File Selection panel and click the Next button

When you click the file, you may view its content in the right panel.

More information...

Objects in Image Files

Primary partition [image] Logical disk [image] Unallocated space

Image with one logical disk

Image with two logical disks on one hard drive

Image with two logical disks on two hard drives

If you select an image with incremental data backup, the Image Date/Time Selection panel will appear. Select the date and time of image creation and click the Next button.

If the image file is password-protected, the Password prompt... message will appear. Enter the password and click the OK button.

ƒ Select the object in the image file on the Image Object Selection panel, select a destination, and click the Next button

You may select only one object at a time, and you need to specify the destination to proceed further. After selecting an object, you cannot go back to previous panels. Clicking the Back button will show the Image is already selected message.

Note: If you want to restore data from the image of an entire hard drive, you may do this only if the destination hard drive is of the same model.

More information...

If the chosen destination is smaller than the selected image, R-Drive Image will show the Image selected is larger than destination message and you will need to select another destination.

If you select several partitions as the destination, R-Drive Image will show the You have selected several partitions... message. If you click the OK button, all those partitions will be deleted and data will be restored on that free space.

Note: Although R-Drive Image shows unallocated space instead of the deleted partitions, the partitions and their data will be actually deleted only when R-Drive Image starts restoring the data from the image.

Selected Object and Destination

Primary partition [image] Logical disk [image] Unallocated space

„ Specify restore parameters on the Restore/Copy Parameters panel and click the Next button

Restore parameters

Restore Options
 | You may visually adjust the location and size of the object to be restored. All other restore options will be adjusted accordingly. Also, when you adjust one or several restore options directly, these changes will be shown visually. Green marks available space.
Minimum partition size | Minimum partition size that may be allocated for the data in the image. Depends on how much free space is in the data in the image and its file system.
Maximum partition size | Maximum partition size that may be allocated for the data in the image. Depends on the file system of the selected object.
Free space before | You may specify the size of free space that will be left on the hard drive before the beginning of the partition.
Partition size | You may specify the size of the partition to be restored. Should be between the minimum and maximum partition size.
Free space after | You may specify the size of free space that will be left on the hard drive after the end of the partition.
Partition type Primary (Active)/ Primary/Logical | You may specify the type of the partition to be restored. Do not change this setting unless you have serious reasons to do so.
File system for the selected partitions | You may select the file system for the partition to be restored.
Drive letter for the selected partition | Select the letter that will be assigned to the partition. You may select "Do not connect" if you do not want to connect this partition to your system.

If you try to restore data to a system or other disk locked by the system or other application, the Disk not locked message will appear.

To continue restoring you may:

· If you restore data to your system disk, select Restart computer (recommended) to continue restoring the data in the R-Drive Image startup mode. Read carefully the Restoring Data to a System Disk topic before you proceed.
· If you restore data to a disk locked by other low-level disk software (including Windows internal services), stop this software and select Retry to lock the disk once again.
· You may also try to unlock the disk by selecting Force Windows to unlock the disk (not recommended). If Windows fails to unlock the disk, the Disk not locked message will appear again. You will need to stop the software locking the disk manually or select Restart computer (recommended) to continue restoring the data in the R-Drive Image startup mode.

Note: Use this option cautiously, because it may cause unpredictable results including system crash and data loss.
… Verify that the information on the Processing panel is correct and click the Start button

You may add other objects from the same image and restore data to several partitions in one process. Select Add another image object in the Next Selection on the Processing panel and click the Next button.

Ü R-Drive Image will start restoring the data from the image file to the selected destination.

When the image is restored, the Image restored successfully message will appear.

If some other program (like a file manager) is accessing the partition on which the data is to be restored, the Cannot lock the disk message will appear. Close this program or make it stop accessing the partition.

If you restore data from an image of an entire hard drive to an entire hard drive, the system may not see the restored partitions until restarted. In this case R-Drive Image will show the Disk image restored successfully. message. Click the Yes button to restart your system.

Restoring data from CD-R/RW drives or other devices with removable storage

For the image with the file name filename.arc, R-Drive Image creates the following disk/file structure:

Disk

File name

The first disk

filename1.arc

The second disk

filename2.arc

The third disk

filename3.arc

...

...

You should start restoring the data from the last disk. If you insert another disk, the File is not found message will appear. Insert the necessary disk and click the OK button.

Each time R-Drive Image requires a new disk, the Insert disk #... message will appear. Insert the necessary disk and click the OK button. Follow the device instructions on how to change its disks.

Note: At the beginning, R-Drive Image may require you to change the first/last disks several times.

The Disk Actions chapter explains basic disk actions.

The Advanced Disk Actions chapter explains how to perform advanced disk actions.

The Technical Information chapter gives technical information on Supported CD and DVD Recorders and List of Supported Hardware Devices

Follow this link to obtain R-Drive Image Contact Information and Technical Support


 Copy a Disk to a Disk

Copy a Disk to a Disk

Attention: All previous data on the destination disk will be completely deleted

To copy an entire disk to another one:

 Click Copy Disk to Disk on the Action Selection panel

R-Drive Image will start analyzing the computer disk configuration, the Progress... message showing the progress. Then the Object Selection panel will show the configuration.

More information...

Disk Configuration

Primary partition [image] Logical disk [image] Unallocated space

Note: If other low-level disk software (including Windows internal services) is running, the Error: Another partitioner is active message may appear and R-Drive Image will not go to the next panel. Stop this low-level disk software or wait until Windows services stop this low-level disk access before proceeding further.

‚ Select the disk object on the Source: on the Object Selection panel, select a destination, and click the Next button

You may select only one object at a time, and you need to specify the destination to proceed further.

Note: If you want to copy an entire hard drive to another hard drive, you may do this only if they are of the same model.

More information...

If the destination is smaller than the selected object, R-Drive Image will show the Source is larger than Destination message and you will need to select another destination.

If you select several partitions as the destination, R-Drive Image will show the You have selected several partitions... message. If you click the OK button, all those partitions will be deleted and data will be restored on that free space.

Note: Although R-Drive Image shows unallocated space instead of the deleted partitions, the partitions and their data will be actually deleted only when R-Drive Image starts copying the data.

Selected Object and Destination

Primary partition [image] Logical disk [image] Unallocated space

If you try to copy data to or from a system, or other disk locked by the system or other application, the Disk not locked message will appear.

To continue copying you may:

· If you copy data to or from your system disk, select Restart computer (recommended) to continue restoring the data in the R-Drive Image startup mode. Read carefully the Disk to Disk Copy topic before you proceed.
· If you copy data to a disk locked by other low-level disk software (including Windows internal services), stop this software and select Retry to lock the disk once again.
· You may also try to unlock the disk by selecting Force Windows to unlock the disk (not recommended). If Windows fails to unlock the disk, the Disk not locked message will appear again. You will need to stop the software locking the disk manually or select Restart computer (recommended) to continue copying the data in the R-Drive Image startup mode.

Note: Use this option cautiously, because it may cause unpredictable results including system crash and data loss.
ƒ Specify copy parameters on the Restore/Copy Parameters panel and click the Next button

Restore parameters

Restore Options
 | You may visually adjust the location and size of the object to be restored. All other restore options will be adjusted accordingly. Also, when you adjust one or several restore options directly, these changes will be shown visually. Green marks available space.
Minimum partition size | Minimum partition size that may be allocated for the data in the image. Depends on how much free space is in the data in the image and its file system.
Maximum partition size | Maximum partition size that may be allocated for the data in the image. Depends on the file system of the selected object.
Free space before | You may specify the size of free space that will be left on the hard drive before the beginning of the partition.
Partition size | You may specify the size of the partition to be restored. Should be between the minimum and maximum partition size.
Free space after | You may specify the size of free space that will be left on the hard drive after the end of the partition.
Partition type Primary (Active)/ Primary/Logical | You may specify the type of the partition to be restored. Do not change this setting unless you have serious reasons to do so.
File system for the selected partitions | You may select the file system for the partition to be restored.
Drive letter for the selected partition | Select the letter that will be assigned to the partition. You may select "Do not connect" if you do not want to connect this partition to your system.
„ Verify that the information on the Processing panel is correct and click the Start button

You may add other objects and copy data to several destinations in one process. Select Add another object to copy in the Next Selection on the Processing panel and click the Next button.

Ü R-Drive Image will start copying the data from the source to the selected destination place.

When the data is copied, the Object copied successfully message will appear.

If some other program (like a file manager) is accessing the partition on which the data is to be restored, the Cannot lock the disk message will appear. Close this program or make it stop accessing the partition.

If you copy an entire hard drive to another hard drive, two absolutely identical hard drive will appear in your system. That will confuse it and may cause unpredictable results. To prevent that, a Disk copied successfully message will appear. You may turn your system off to disconnect one of the disks, or restart it to disable one of the disk in the BIOS of your system. Even if you decide to click the Cancel button, the target disk will not appear until system restart.

The Disk Actions chapter explains basic disk actions.

The Advanced Disk Actions chapter explains how to perform advanced disk actions.

The Technical Information chapter gives technical information on Supported CD and DVD Recorders and List of Supported Hardware Devices

Follow this link to obtain R-Drive Image Contact Information and Technical Support


 Connect an Image as a Virtual Logical Disk

Connect an Image as a Virtual Logical Disk

Note: You can connect images only as read-only disks.

To connect an image as a Virtual Logical Disk:

 Click Connect an Image as a Virtual Logical Disk on the Action Selection panel

R-Drive Image will show you the Image File Selection panel with the disks/folders structure.

‚ Select the file with the image on the Image File Selection panel and click the Next button

When you click the file, you may view its content on the right pane.

More information...

Objects in Image Files

Primary partition [image] Logical disk [image] Unallocated space

Image with one logical disk

Image with two logical disks on one hard drive

Image with two logical disks on two hard drives

If you select an image with incremental data backup, the Image Date/Time Selection panel will appear. Select the date and time of image creation and click the Next button.

If the image file is password-protected, the Password prompt... message will appear. Enter the password and click the OK button.

ƒ Select the object in the image file on the Image Object Selection panel, select a drive letter, and click the Next button

You may select only one object at a time, and you need to specify its drive letter to proceed further.

More information...

Selected Object

Primary partition [image] Logical disk [image] Unallocated space

When a drive letter is assigned to the virtual logical disk, it appears in the image object properties:
„ Verify that the information on the Processing panel is correct and click the Start button
Ü R-Drive Image will start connecting the selected object as a virtual logical disk.

When the disk is connected, the Virtual disk(s) connected successfully message will appear.

More information...

A connected virtual logical disk appears in Windows Device Manager as an R-TT Virtual HDD:

Connecting images on devices with removable storage

You cannot connect a split image if its files are stored on separate removable disks. However you can connect such image if you copy all the files into one folder on a hard disk.

Note: While R-Drive Image is connecting an image, Windows itself may install additional software required to run the virtual logical disks correctly. In this case follow Windows on-screen instructions.

The Disk Actions chapter explains basic disk actions.

The Advanced Disk Actions chapter explains how to perform advanced disk actions.

The Technical Information chapter gives technical information on Supported CD and DVD Recorders and List of Supported Hardware Devices

Follow this link to obtain R-Drive Image Contact Information and Technical Support


 Disconnect Virtual Logical Disks

Disconnect Virtual Logical Disks

To disconnect Virtual Logical Disks:

 Click Disconnect Virtual Logical Disks on the Action Selection panel

R-Drive Image will show you the list of virtual disks on the Connected Virtual Logical Disks panel.

More information...

Connected Virtual Logical Disks
‚ Mark the disks on the Connected Virtual Logical Disks panel and click the Next button

More information...

Marked Connected Virtual Logical Disks
ƒ Verify that the information on the Processing panel is correct and click the Start button
Ü R-Drive Image will start disconnecting the selected virtual logical disks

When the disks are disconnected, the Virtual disk(s) disconnected successfully. message will appear.

The Disk Actions chapter explains basic disk actions.

The Advanced Disk Actions chapter explains how to perform advanced disk actions.

The Technical Information chapter gives technical information on Supported CD and DVD Recorders and List of Supported Hardware Devices

Follow this link to obtain R-Drive Image Contact Information and Technical Support


 Check an Image File

Check an Image File

To check an image file:

 Click Check an Image File on the Action Selection panel

R-Drive Image will show you the Image File Selection panel with the disks/folder structure.

‚ Select the file with the image on the Image File Selection panel and click the Next button

When you click the file, you may view its content in the right pane.

More information...

Objects in Image Files

Primary partition [image] Logical disk [image] Unallocated space

Image with one logical disk

Image with two logical disks on one hard drive

Image with two logical disks on two hard drives

If the image file is password-protected, the Password prompt... message will appear. Enter the password and click the OK button.

ƒ Verify that the information on the Processing panel is correct and click the Start button
Ü R-Drive Image will start checking the data in the image file.

When the image is checked, the Object checked successfully message will appear if the image file is good. If it is corrupted, R-Drive Image will show the Image corrupted message.

The Disk Actions chapter explains basic disk actions.

The Advanced Disk Actions chapter explains how to perform advanced disk actions.

The Technical Information chapter gives technical information on Supported CD and DVD Recorders and List of Supported Hardware Devices

Follow this link to obtain R-Drive Image Contact Information and Technical Support


Advanced Disk Actions

This chapter explains how to perform advanced disk actions such as:

· Create Startup Disk
· Restoring Data to a System or Other Locked Disk
· Create an Image Using the Startup Floppy Disks
· Disk to Disk Copy

The Disk Actions chapter explains disk actions such as:

· Create an Image of a partition, logical disk, or entire hard drive
· Restore Data from an Image
· Copy Disk to Disk to make an exact copy of one disk on another
· Connect an Image as a Virtual Logical Disk (read-only)
· Disconnect Virtual Logical Disks
· Check an Image File to check an existing image file

The Scheduled Actions, Command Line Operations, and Scripting chapter explains how to start disk actions automatically at scheduled times/events and create scripts that can be performed from a command line.

· Scheduler and Unattended Actions
· Scripting and Command Line Operations

The Technical Information chapter gives technical information on

· Supported CD and DVD Recorders
· List of Supported Hardware Devices

The R-Drive Image Features topic tells more about R-Drive Image.

Follow this link to obtain R-Drive Image Contact Information and Technical Support.


 Create Startup Disks

Create Startup Disks

You need to create either 2 special startup floppy disks or a startup CD disc to restore data to a system disk. You may also create an ISO image of a startup CD disc and write it using your favorite CD writing software.

If there is a non-IDE disk controller in your system, or you plan to use network disks or external hardware devices, first check the list of supported hardware.

To create 2 floppy disks:

 Select Create Startup Disks on the Action Selection panel and click the Next button
‚ Select the floppy disk drive in the list of supported startup devices with removable storage on the Removable Storage Device Selection panel and click the Next button
ƒ Click the Start button on the Processing panel
Ü R-Drive Image will start creating the startup disks

The Insert a blank floppy disk message will appear. Insert a blank floppy disk and click the OK button. Then the Insert the next blank floppy disk... message will appear. Insert the second floppy disk and click the OK button. When R-Drive Image finishes creating the startup floppy disks, the Startup disks created successfully message will appear.

Note: It is recommended that you mark the floppy disks accordingly.

To create a startup CD disc:

Supported CD and DVD Recorders

 Select Create Startup Disks on the Action Selection panel and click the Next button
‚ Select the CD-recorder in the list of supported startup devices with removable storage on the Removable Storage Device Selection panel and click the Next button
ƒ Click the Start button on the Processing panel
Ü R-Drive Image will start creating the startup CD disc

When you click the Start button, R-Drive Image will open the CD-R/RW drive tray and the Insert a blank CD-R/RW disc... message will appear. Insert a blank CD-R/RW disc and click the OK button. When R-Drive Image finishes creating the startup CD disc, the Startup disks created successfully message will appear.

Usually, a CD-R/RW drive requires some time to analyze the inserted CD disc. Sometimes, another program (including Windows itself) may try to access the CD-R/RW drive on which the image is being written. You will see the Device is busy message in this case. Close this program, or wait until the CD-R/RW drive stops analyzing the CD disc, or Windows stops accessing the CD-R/RW drive, and click the OK button to continue writing the image on CD-R/RW discs.

If you mistakenly insert a non-empty CD-R/RW disc, the CD-R/RW disc is not empty... message will appear. Change the disc to another empty CD-R/RW disc and click the OK button.

To create an ISO image:

 Select Create Startup Disks on the Action Selection panel and click the Next button
‚ Select ISO on the Removable Storage Device Selection panel, specify a file name for the ISO image, and click the Next button
ƒ Click the Start button on the Processing panel
Ü When R-Drive Image finishes writing the file with the ISO image, the ISO-image created successfully message will appear
„ Create the startup CD using your favorite CD creation software

Load the created ISO image into the CD creation software. Consult documentation for the software for details.

The Disk Actions chapter explains basic disk actions.

The Advanced Disk Actions chapter explains how to perform advanced disk actions.

The Technical Information chapter gives technical information on Supported CD and DVD Recorders and List of Supported Hardware Devices

Follow this link to obtain R-Drive Image Contact Information and Technical Support


 Restore Data to a System or Other Locked Disk

Restore Data to a System or Other Locked Disk

You cannot restore data to the system (the disk from which Windows starts) or other locked disk the same way you do that to any other disk. You need either to restart R-Drive Image in its startup mode, or start your computer from another computer local disk or from specially created startup disk(s).

We recommended that you print out this topic and have the hardcopy on hand while you are performing this action.

If there is a non-IDE disk controller in your system, or you plan to use network disks or external hardware devices, first check the list of supported hardware devices.

If you plan to use any external device, turn it on before starting the system.

If the motherboard in your computer supports the Serial ATA (SATA) devices, but IDE disks are also present, only the SATA devices should be set to the Enhanced Mode in BIOS.

We recommend you stop all other programs before you start restoring data on a partition.

 Restart R-Drive Image in its startup mode
· From the R-Drive Image Graphical User Interface
1. Select the file with the image, the object in the image file, select the system disk as the destination as it is described in the Restore Data from an Image topic. Do not pay much attention to the image file, as it will be eventually discarded. The only important option at this stage is the image destination. Select the system disk.
2. When you click the Next button on the Image Object Selection panel, the Disk not locked message will appear.
3. Select Restart computer (recommended) and click the OK button. The You are about to restart... message will appear. Click the Yes button. (If you click the Cancel button on the Disk not locked message, the Cannot lock the disk message will appear, and R-Drive Image will stay on the Image Object Selection panel.)

You computer will restart. The following text will appear on the screen:

Please select the operating system to start:

R-DriveImage Autopart v.2.0

Microsoft Windows XP Professional
4. Select R-DriveImage Autopart v.2.0 and press the Enter button. You may select Microsoft Windows XP Professional to start Windows normally.
· using the R-Drive Image startup floppy disks
1. Make sure that the first startup device in the system BIOS is A (Floppy). Refer to your system documentation for details.
2. Insert the first startup floppy disk and start your computer.

The following text will appear on the screen:

Loading.............................

........................................

Uncompressing R-Drive Image... OK, starting the kernel

VFS: Insert the second R-Drive Image boot disk and press ENTER
3. Insert the second disk and press ENTER.
· using the R-Drive Image startup CD disc
1. Make sure that the first startup device in the system BIOS is the CD drive. Refer to your system documentation for details.
2. Insert the CD disc and start your computer.

R-Drive Image will start in the startup mode.

Use the Tab key to switch between the control areas and the arrow keys to select options within the control areas. Press the Enter key to activate the selected button.

You may also activate a key by pressing the highlighted letter key. You may exit the program by pressing the x key.

‚ Select Restore from an Image on the Action Selection panel and press the N key

Use the arrow keys to switch between the options.

ƒ Select the file with the image on the Open an Image File panel and press the Enter key

R/O

Read-only disk. You cannot create images on such disks.

Use the Tab key to switch between the control areas and the arrow and Enter keys to navigate within the File area.

„ Select the object in the image file on the Select an object panel from which you want to restore data panel and press the N key

Use the arrow keys to select the object.

… Select the destination for the data on the Select a target for copy/restore operation panel and press the N key

Use the arrow keys to switch between the target objects.

H | Hard drive
P | Primary partition
L | Logical disk
U | Unallocated space
† Specify restore parameters on the Copy/restore options panel and press the N key
Restore Options
Free space before | You may specify the size of free space that will be left on the hard drive before the beginning of the partition.
Partition size | You may specify the size of the partition to be restored. Should be between the minimum and maximum partition size.
‡ Verify that the information on the Confirm operations panel is correct and press the N key
Ü R-Drive Image will start restoring the data from the image file to the selected destination

The Progress window will show the progress of the current operation and overall process. When the image is restored, the Operation completed successfully message will appear.

The Disk Actions chapter explains basic disk actions.

The Advanced Disk Actions chapter explains how to perform advanced disk actions.

The Technical Information chapter gives technical information on Supported CD and DVD Recorders and List of Supported Hardware Devices

Follow this link to obtain R-Drive Image Contact Information and Technical Support


 Create an Image Using the Startup Disks

Create an Image Using the Startup Disks

It is recommended that you print out this topic and have the hardcopy on hand while you are performing this action.

Note: The current version can write images only on FAT(16 or 32) disks

If there is a non-IDE disk controller in your system, or you plan to use network disks or external hardware devices, first check the list of supported hardware.

If you plan to use any external device, turn it on before starting the system.

If the motherboard in your computer supports the Serial ATA (SATA) devices, but IDE disks are also present, only the SATA devices should be set to the Enhanced Mode in BIOS.

 Restart R-Drive Image in its startup mode
· From the R-Drive Image Graphical User Interface
1. Select the file with the image, the object in the image file, select the system disk as the destination as it is described in the Restore Data from an Image topic. Do not pay much attention to the image file, as it will be eventually discarded. The only important option at this stage is the image destination. Select the system disk.
2. When you click the Next button on the Image Object Selection panel, the Disk not locked message will appear.
3. Select Restart computer (recommended) and click the OK button. The You are about to restart... message will appear. Click the Yes button. (If you click the Cancel button on the Disk not locked message, the Cannot lock the disk message will appear, and R-Drive Image will stay on the Image Object Selection panel.)

You computer will restart. The following text will appear on the screen:

Please select the operating system to start:

R-DriveImage Autopart v.2.0

Microsoft Windows XP Professional
4. Select R-DriveImage Autopart v.2.0 and press the Enter button. You may select Microsoft Windows XP Professional to start Windows normally.
· using the R-Drive Image startup floppy disks
1. Make sure that the first startup device in the system BIOS is A (Floppy). Refer to your system documentation for details.
2. Insert the first startup floppy disk and start your computer.

The following text will appear on the screen:

Loading.............................

........................................

Uncompressing R-Drive Image... OK, starting the kernel

VFS: Insert the second R-Drive Image boot disk and press ENTER
3. Insert the second disk and press ENTER.
· using the R-Drive Image startup CD disc
1. Make sure that the first startup device in the system BIOS is the CD drive. Refer to your system documentation for details.
2. Insert the CD disc and start your computer.

R-Drive Image will start in the startup mode.

Use the Tab key to switch between the control areas and the arrow keys to select options within the control areas. Press the Enter key to activate the selected button.

You may also activate a key by pressing the highlighted letter key. You may exit the program by pressing the x key.

‚ Select Create an Image on the Action Selection panel and press the N key

Use the arrow keys to switch between the options.

R-Drive Image will start analyzing the computer disk configuration, the Progress... message showing the progress. Then the R-Drive Image: Select an object you want to archive/backup/copy panel will show the configuration.

H | Hard drive
P | Primary partition
L | Logical disk
U | Unallocated space
ƒ Select an object of which you want to create an image on the Select an object you want to archive/backup/copy panel and press the N key

Use the arrow keys to switch between the objects and the SPACEBAR to select the object.

„ Select the place on the Create an Image panel to which the image files will be written, specify the file name, and press the O key

R/O

Read-only disk. You cannot create images on such disks

Use the Tab key to switch between the control areas.

… Verify that the information on the Confirm operations panel is correct and click the N key
Ü R-Drive Image will start creating the image file

The Progress window will show the progress of the current operation and overall process. If you selected a read-only disk as the target, you will see the File is read-only. Press OK to retry. message.

The Disk Actions chapter explains basic disk actions.

The Advanced Disk Actions chapter explains how to perform advanced disk actions.

The Technical Information chapter gives technical information on Supported CD and DVD Recorders and List of Supported Hardware Devices

Follow this link to obtain R-Drive Image Contact Information and Technical Support


 Disk to Disk Copy

Disk to Disk Copy

It is recommended that you print out this topic and have the hardcopy on hand while you are performing this action.

Note: The current version can write images only on FAT(16 or 32) disks

If there is a non-IDE disk controller in your system, or you plan to use network disks or external hardware devices, first check the list of supported hardware.

If you plan to use any external device, turn it on before starting the system.

If the motherboard in your computer supports the Serial ATA (SATA) devices, but IDE disks are also present, only the SATA devices should be set to the Enhanced Mode in BIOS.

 Restart R-Drive Image in its startup mode
· From the R-Drive Image Graphical User Interface
1. Select the file with the image, the object in the image file, select the system disk as the destination as it is described in the Restore Data from an Image topic. Do not pay much attention to the image file, as it will be eventually discarded. The only important option at this stage is the image destination. Select the system disk.
2. When you click the Next button on the Image Object Selection panel, the Disk not locked message will appear.
3. Select Restart computer (recommended) and click the OK button. The You are about to restart... message will appear. Click the Yes button. (If you click the Cancel button on the Disk not locked message, the Cannot lock the disk message will appear, and R-Drive Image will stay on the Image Object Selection panel.)

You computer will restart. The following text will appear on the screen:

Please select the operating system to start:

R-DriveImage Autopart v.2.0

Microsoft Windows XP Professional
4. Select R-DriveImage Autopart v.2.0 and press the Enter button. You may select Microsoft Windows XP Professional to start Windows normally.
· using the R-Drive Image startup floppy disks
1. Make sure that the first startup device in the system BIOS is A (Floppy). Refer to your system documentation for details.
2. Insert the first startup floppy disk and start your computer.

The following text will appear on the screen:

Loading.............................

........................................

Uncompressing R-Drive Image... OK, starting the kernel

VFS: Insert the second R-Drive Image boot disk and press ENTER
3. Insert the second disk and press ENTER.
· using the R-Drive Image startup CD disc
1. Make sure that the first startup device in the system BIOS is the CD drive. Refer to your system documentation for details.
2. Insert the CD disc and start your computer.

R-Drive Image will start in the startup mode.

Use the Tab key to switch between the control areas and the arrow keys to select options within the control areas. Press the Enter key to activate the selected button.

You may also activate a key by pressing the highlighted letter key. You may exit the program by pressing the x key.

‚ Select Disk to disk copy on the Action Selection panel and press the N key

R-Drive Image will start analyzing the computer disk configuration, the Progress... message showing the progress. Then the R-Drive Image: Select an object you want to archive/backup/copy panel will show the configuration.

H | Hard drive
P | Primary partition
L | Logical disk
U | Unallocated space

Use the arrow keys to switch between the options.

ƒ Select an object which you want to copy on the Select an object you want to archive/backup/copy panel and press the N key

Use the arrow keys to switch between the objects.

„ Select the destination for the data on the Select a target for copy/restore operation panel and press the N key

Use the arrow keys to switch between the target objects.

… Specify restore parameters on the Copy/restore options panel and press the N key
Restore Options
Free space before | You may specify the size of free space that will be left on the hard drive before the beginning of the partition.
Partition size | You may specify the size of the partition to be restored. Should be between the minimum and maximum partition size.
† Verify that the information on the Confirm operations panel is correct and click the N key
Ü R-Drive Image will start copying the data from the source disk to the selected destination

The Progress window will show the progress of the current operation and overall process. When the data is copied, the Operation completed successfully message will appear.

The Disk Actions chapter explains basic disk actions.

The Advanced Disk Actions chapter explains how to perform advanced disk actions.

The Technical Information chapter gives technical information on Supported CD and DVD Recorders and List of Supported Hardware Devices

Follow this link to obtain R-Drive Image Contact Information and Technical Support


Scheduled Actions, Command Line Operations, and Scripting

This chapter explains how to start disk actions automatically at scheduled times/events and create scripts that can be performed from a command line or command files.

· Scheduler and Unattended Actions
· Scripting and Command Line Operations

The Disk Actions chapter explains disk actions such as:

· Create an Image of a partition, logical disk, or entire hard drive
· Restore Data from an Image
· Copy Disk to Disk to make an exact copy of one disk on another
· Connect an Image as a Virtual Logical Disk (read-only)
· Disconnect Virtual Logical Disks
· Check an Image File to check an existing image file

The Advanced Disk Actions chapter explains how to perform advanced disk actions such as:

· Create Startup Disk
· Restoring Data to a System or Other Locked Disk
· Create an Image Using the Startup Floppy Disks
· Disk to Disk Copy

The R-Drive Image Features topic tells more about R-Drive Image.

Follow this link to obtain R-Drive Image Contact Information and Technical Support.


Scheduler and Unattended Actions

You may schedule some disk actions at a certain time or event, and R-Drive Image will perform them unattended. You may also execute a task manually. Right-click the task and select Execute Now in the context menu.

· Create a task
· Edit a task
· Delete a task

The Disk Actions chapter explains basic disk actions.

The Advanced Disk Actions chapter explains how to perform advanced disk actions.

The Technical Information chapter gives technical information on Supported CD and DVD Recorders and List of Supported Hardware Devices

Follow this link to obtain R-Drive Image Contact Information and Technical Support


 Create a Task

Create a Task

Generally, you may set a scheduled task the same way you set a regular action for creating an image of a disk, partition, or an entire hard drive.

To create a new task:

 Click Scheduler/Create Script on the Action Selection panel

The Scheduled Tasks panel will appear.

‚ Click the Create a Task button on the Scheduled Tasks panel
ƒ Select the objects you want to backup on the Partition Selection panel, image destination on the Image Destination panel, imaging mode on the Imaging Mode panel, image options on the Image Options panel, and backup options on the Backup Options panel.

Go to the Create an Image topic for more details.

„ Specify the time or event at which the task should start on the Time/Event panel and click the Next button

You may specify time/event options on this panel.

Time/event options

task is active | If this options is not selected, the task will not start at its scheduled time/event
Perform this task: |
Daily | The task will start repeatedly on a daily time interval
Start time: | Time at which the task will start
Start date: | Date from which the task will start
Run this task every: | Time interval in days in which the task will regularly start
End date: (optional) | Date from which the task will not start anymore
Weekly | The task will start repeatedly on a weekly time interval
Start time: | Time at which the task will start
Start date: | Date from which the task will start
Run this task every: | Time interval in weeks in which the task will regularly start
On days: | Days of the week on which the task will start
End date: (optional) | Date from which the task will not start anymore
Monthly | The task will start repeatedly on a monthly time interval
Start time: | Time at which the task will start
Start date: | Date from which the task will start
Month schedule |
On day... of month | Day of the month on which the task will start
Or... | Weekdays in the month on which the task will start
Months | Months when the task will start
Once | The task will start once
Start time: | Time at which the task will start
Start date: | Date from which the task will start
At system startup | The task will start at every system startup
At user logon | The task will start every time a user will log on
… Specify a user name and password of a user from the Administrators user group on the User/Password panel and click the Next button

Click the Default button to make R-Drive Image to run as your default user.

† Specify mail notification options (optional) and applications you want to run when the task will end successfully or failed (optional) on the Mail Notification/Aux Applications panel and click the Next button

These options are not mandatory and you may leave this panel empty.

More information...

Applications

You may specify the applications of the *.com, *.exe, and *.pif types, and their parameters delimited by a space.

Mail Notification

If a personal firewall is installed on your computer, you should allow the r-driveimagecl.exe application to get access to the e-mail server.
‡ Verify that the information on the Processing panel is correct and click the Save button
Ü A new task will appear on the Scheduled Tasks panel

The Disk Actions chapter explains basic disk actions.

The Advanced Disk Actions chapter explains how to perform advanced disk actions.

The Technical Information chapter gives technical information on Supported CD and DVD Recorders and List of Supported Hardware Devices

Follow this link to obtain R-Drive Image Contact Information and Technical Support


 Edit a Task

Edit a Task

You may edit a scheduled task.

To rename a task

 Click Scheduler/Create Script on the Action Selection panel

The Scheduled Tasks panel will appear.

‚ Right-click the task from which you want to create a script on the Scheduled Tasks panel
ƒ Select in the context menu Rename and enter a new task name

Note: You may also use a keyboard shortcut F2 to rename a task

To edit the time or event at which a scheduled task should start:

 Click Scheduler/Create Script on the Action Selection panel

The Scheduled Tasks panel will appear.

‚ Select a task which event you want to edit on the Scheduled Tasks panel and click the Edit an Event button

The Time/Event panel will appear.

Note: You may also right-click the task and select Edit an event in the context menu.

ƒ Edit the time or event at which the task should start on the Time/Event panel and click the Next button

Go to the Create a Task topic for details

„ Click the Next button several times until you go to the Processing panel
… Verify that the information on the Processing panel is correct and click the Save button
Ü The task will appear on the Scheduled Tasks panel with the new starting Time/Event

To edit an entire scheduled task:

 Click Scheduler/Create Script on the Action Selection panel

The Scheduled Tasks panel will appear.

‚ Select a task which you want to edit on the Scheduled Tasks panel and click the Edit button

Note: You may also right-click the task and select Edit a task in the context menu.

ƒ Edit the objects you want to backup on the Partition Selection panel, image destination on the Image Destination panel, imaging mode on the Imaging Mode panel, and image options on the Image Options panel.

Go to the Create an Image topic for more details.

„ Edit the time or event at which the task should start on the Time/Event panel, the user name and password of a user from the Administrators user group on the User/Password panel, mail notification options (optional) and applications you want to run when the task will end successfully or failed (optional) on the Mail Notification/Aux Applications panel, and click the Next button

Go to the Create a Task topic for more details.

… Verify that the information on the Processing panel is correct and click the Save button
Ü The task will appear on the Scheduled Tasks panel with the new options

The Disk Actions chapter explains basic disk actions.

The Advanced Disk Actions chapter explains how to perform advanced disk actions.

The Technical Information chapter gives technical information on Supported CD and DVD Recorders and List of Supported Hardware Devices

Follow this link to obtain R-Drive Image Contact Information and Technical Support


 Delete a Task

Delete a Task

You may delete a scheduled task that you do not need any more.

To delete a scheduled task:

 Click Scheduler/Create Script on the Action Selection panel

The Scheduled Tasks panel will appear.

‚ Select a task you want to delete on the Scheduled Tasks panel and click the Delete a Task button or

Right-click the task and select Delete a Task in the context menu.

The Delete selected task message will appear.

ƒ Click the OK button
Ü The task will disappear on the Scheduled Tasks panel

The Disk Actions chapter explains basic disk actions.

The Advanced Disk Actions chapter explains how to perform advanced disk actions.

The Technical Information chapter gives technical information on Supported CD and DVD Recorders and List of Supported Hardware Devices

Follow this link to obtain R-Drive Image Contact Information and Technical Support


 Scripting and Command Line Operations

Scripting and Command Line Operations

You may create scripts for frequently repeated or unattended disk actions and execute them from a command line or file. The same script commands may be executed directly from a command line.

Currently, R-Drive Image supports scripts for creating a new image file, appending data to an existing one, and restoring data from an image.

To create a script

· Creating a script from R-Drive Image
· Creating a script manually

To execute a script:

 Type in the command line:

r-driveimagecl [/switches] cmd="<ScriptName>.rdi"

where <ScriptName> is the script name and its path, if necessary,

and press the Enter key

Note: if ScriptName contains no spaces, double quotes (") may be omitted. No characters in ScriptName should be escaped.

Incompatibilities with ver.3.x

Script name should be passed using the cmd key.
Ver. 3.x | r-driveimagecl [/switches] <ScriptName>.rdi
Ver. 4.x | r-driveimagecl [/switches] cmd="<ScriptName>.rdi"

Switch | Description
a | A non-interactive mode. R-Drive Image will not ask the user any questions. If it cannot perform the action, it will generate an error.
d | A debug mode. R-Drive Image will display all the information as it was performing the action, but will not perform the actual action.
f | If an error occurs, R-Drive Image will not exit the script and continue perform it from the following command. Inapplicable to actions started from the command line
i | The s and d parameters will use disk indexes rather than disk numbers. Disk indexes are disk serial numbers and can be seen either on the R-Drive Image Partition Selection panel or Windows Disk Management.
o | If a file with a specified filename exists, R-Drive Image will overwrite it quietly.

Switches set in the command lines also is used as default values for parameters in scripts.

Ü R-Drive Image will start executing the script showing the operation parameters and progress.

When R-Drive Image completes the operation, the Commit OK message will appear in the command prompt.

You may include this command to a command file and automatically run such command file either manually or using any scheduling software for unattended disk actions.

To perform an action from the command line:

 Type in the command line:

r-driveimagecl [/switches] create <params>

r-driveimagecl [/switches] append <params>

r-driveimagecl [/switches] restore <params>

and press the Enter key.

Ü R-Drive Image will start executing the command showing the action's progress.

When R-Drive Image completes the action, the Commit OK message will appear in the command prompt.

Note: the /f switch is not applicable to the actions performed from the command prompt.

The Disk Actions chapter explains basic disk actions.

The Advanced Disk Actions chapter explains how to perform advanced disk actions.

The Technical Information chapter gives technical information on Supported CD and DVD Recorders and List of Supported Hardware Devices

Follow this link to obtain R-Drive Image Contact Information and Technical Support


 Create a Script from R-Drive Image

Create a Script from R-Drive Image

You may create scripts directly from R-Drive Image the same way you set a regular action for creating an image of a disk, partition, or an entire hard drive.

To create a script from the Create an Image action (without Mail Notification and Aux Applications)

 Click Create an Image on the Action Selection panel and specify all the options and parameters as it is described on the Create an Image topic.
‚ Click the Script to Clipboard button on the Processing panel and paste the script to any text-processing utility
ƒ Save the script in a file

The default extension for R-Drive Image scripts is .rdi. Go to the Scripting and Command Line Operation topic to learn how to use scripts

To create a script from the Scheduler

 Click Scheduler/Create Script on the Action Selection panel

The Scheduled Tasks panel will appear.

‚ Click the Create a Script button on the Scheduled Tasks panel
ƒ Select the objects you want to backup on the Partition Selection panel, image destination on the Image Destination panel, imaging mode on the Imaging Mode panel, image options on the Image Options panel, and backup options on the Backup Options panel.

Go to the Create an Image topic for more details.

„ Specify mail notification options (optional) and applications you want to run when the task will end successfully or failed (optional) on the Mail Notification/Aux Applications panel and click the Next button

These options are not mandatory and you may leave this panel empty.

More information...

Applications

You may specify the applications of the *.com, *.exe, and *.pif types, and their parameters delimited by a space.

Mail Notification

If a personal firewall is installed on your computer, you should allow the r-driveimagecl.exe application to get access to the e-mail server.
… Verify that the information on the Processing panel is correct and click the Save button

You may also click the Script to Clipboard button to copy this script into the Clipboard and paste the script to any text-processing utility.

Ü R-Drive Image will save the script in the specified file

The default extension for R-Drive Image scripts is .rdi. Go to the Scripting and Command Line Operation topic to learn how to use scripts

To create a script from a scheduled task

 Click Scheduler/Create Script on the Action Selection panel

The Scheduled Tasks panel will appear.

‚ Right-click the task from which you want to create a script on the Scheduled Tasks panel
ƒ Select in the context menu either Save as script to save the script in a file or Script to Clipboard (Ctrl+C) to and paste the script to any text-processing utility.

The Disk Actions chapter explains basic disk actions.

The Advanced Disk Actions chapter explains how to perform advanced disk actions.

The Technical Information chapter gives technical information on Supported CD and DVD Recorders and List of Supported Hardware Devices

Follow this link to obtain R-Drive Image Contact Information and Technical Support


Create a Script Manually

R-Drive Image has a very powerful and versatile script language that enables you to create scripts for all your needs.

A script consists of commands and their parameters. All commands, parameter, and their values are case-sensitive.

Incompatibilities with ver.3.x

 | Ver. 3.x | Ver. 4.x
File names with " Escaping of the " character has been changed | "" | &quot;
File names with & Escaping of the & character has been changed | & | &amp;
Partition list Several partitions should be set in one list | -s="part1" -s="part2" -s="part3" | -s="part1 part2 part3"

General:

The default extension for R-Drive Image script files is .rdi.

Parameter values may be inclosed in single (') or double (") quotes. if the value does not contain spaces, the quotes may be omitted.

R-Drive Image ignores spaces in the beginning of a line. R-Drive Image treats multiple spaces as one space, except when they are in a parameter value enclosed in quotes.

Examples:

Below are equal lines:

create -a = "c:\archive.arc"

create -a = "c:\archive.arc"

Below are not equal lines:

create -a = "c:\archive 1.arc"

create -a = "c:\archive 1.arc"

Comments:

R-Drive Image treats lines which the first non-space character is ; or the first non-space character is [ and the last one is ], as comments.

Examples:

; This is a comment line

[This is a comment line]

Multiple lines:

If the last non-space character in a line is \, R-Drive Image appends the next line to it:

Example:

Lines:

create -a = "c:\archive.arc" -s = "1:1" \

c = "5"

are equal to the line:

create -a = "c:\archive.arc" -s="1:1" c= "5"

Disk size units

Values specifying disk sizes my be in units.

b | bytes |
Kb | kilobytes | 2^10 = 1,024 b
Mb | megabytes | 2^20 = 1,024 Kb
Gb | gigabytes | 2^30 = 1,024 Mb

If the units are used, enclose the value in quotes.

Default values are Mb (megabytes).

Characters to substitute

If the following characters are to appear in the parameter values, they should be substituted by the following rules:

Character | String to substitute
" | &quot;
' | &apos;
& | &amp;
carriage return | &cr;
new line | &nl;

Note: This is the incompatibility with scripts created for the earlier versions of R-Drive Image.

Script commands and parameters:

Command

Its Parameters

Optional/

Mandatory

Description and examples

create

Mandatory

Creates an image file. If such file already exists, R-Drive Image will ask whether the file should be overwritten. If the a switch is used, R-Drive Image will not overwrite the file.

append

Mandatory

Incrementally appends data to an existing image file. If such file does not exist, it will be created.

-s=<ImageSource>

Mandatory

Specifies an image source. Examples:

for hard drive 1: -s=1

for the second partition on hard drive 1: -s=1:2

for a logical disk: -s=D:

for several logical disks: -s="D: F:"

-a=<PathOfNewArchiveFile>

Mandatory

Specifies a path (including its file name) to the image file.

Examples:

-a=C:\Images\Test.arc or -a="C:\Image Files\Test 1.arc"

-c=<CompressionLevel>

Optional

Specifies compression level (1...11).

Example: -c=3

-u

Optional

Backups useful information only. May be used as a Boolean parameter.

-v=<ArchiveSize>

Optional

Specifies image split size. May be in the float-point format.

Example: -v=650 or -v='4.5 Gb'

-p=<Password>

Optional/

Mandatory

Specifies an image password. Mandatory if the append command is used and the image file has been already encrypted. It there is a space in the password, the password should be in quotes.

Examples: -p=Password or -p='My Password'

-r=<Description of archive>

Optional

Specifies an image description. It there is a space in the description, the description should be in quotes.

Examples: -r=Description or -r="Image Description"

-s-xw

Optional

Makes R-Drive Image not to use the Windows snapshot provider.

-s-xr

Optional

Makes R-Drive Image not to use the R-TT snapshot provider.

-s-n

Optional

Notifies system application that a snapshot is being taken.

-s-b0=<AppBeforeBack>

Optional

Specifies an application that will start before the backup operation starts. The application should return a 0 exit code.

Example: -s-b0="C:\commands\start.exe"

-s-b1=<AppAfterBack>

Optional

Specifies an application that will start after the backup operation completes. The application should return a 0 exit code.

Example: -s-b1="C:\commands\end.exe"

-s-s0=<AppBeforeSnapShot>

Optional

Specifies an application that will start before the snapshot is taken. The application should return a 0 exit code.

Example: -s-s0="C:\commands\startsnapshot.exe"

-s-s1=<AppAfterSnapShot>

Optional

Specifies an application that will start after the snapshot is taken. The application should return a 0 exit code.

Example: -s-s1="C:\commands\endsnapshot.exe"

-xe=<AppIfError>

Optional

Specifies a command line that will start an application if R-Drive Image fails to perform the specified action. If there is a space in the command line, the command line should be in quotes.

Examples: -xe=error.exe or -xe="winamp C:\sounds\error.mp3"

-xs=<AppIfSucc>

Optional

Specifies a command line that will start an application if R-Drive Image successfully performs the specified action. If there is a space in the command line, the command line should be in quotes.

Examples: -xs=success.exe or -xs="winamp C:\sounds\success.mp3"

Example:

create -s="F: H:" -a="I:\Test Image.arc" -c=3 -u = true -p="My Password" -r="This is a test image" -xe="winamp C:\sounds\error.mp3" -xs="winamp C:\sounds\success.mp3"

This script creates an image of logical disks F: and H:. The path and filename for this script is I:\csys.arc, with compression level 3, and only useful information on this disk will be written to the image. This image is protected with the password "My Password", and its description is "This is a test image". If the script action has been performed successfully, the winamp application will play the success.mp3 file, and if an error occurs, it will play the error.mp3 file.

restore

Mandatory

Restores data from an image to a specified disk place

-s=<ImageSource>

Mandatory

Specifies an image source. Examples:

for hard drive 1: -s=1

for the second partition on hard drive 1: -s=1:2

for a logical disk: -s=D:

for several logical disks: -s="D: F:"

-d=<ImageDestination>

Mandatory

Specifies a destination disk:partition on which the data is to be restored. Examples:

for hard drive 1: -d=1

for the second partition on hard drive 1: -d=1:2

for a logical disk: -d=D:

-a=<PathOfArchiveFile>

Mandatory

Specifies a path (including its file name) to the image file from which data is to be restored. It there is a space in the path, the path should be in quotes.

Examples: -a=C:\Images\Test.arc or -a="C:\Image Files\Test.arc"

-k=<"PartitionStatus">

Optional

Specifies a status (primary/active) for a partition to be restored.

Settings:

+p is a primary partition -p is a secondary partition

+a is an active partition -a is a non-active partition

Please note that the combination "-p +a" is invalid. If this parameter is not specified, the data from the image will be used.

Examples:

-k="+p+a" the partition will be primary and active.

-k="+p" the partition will be primary. Information in the image will be used to make the partition either active or non-active.

-t=<TimeSliceNumber>

Optional

Specifies which incremental data will be used to restore the data from the image. If the TimeSliceNumber is not specified or specified, the first data in the image will be used. -1 specifies the last incremental data in the image.

Examples: -t="2" specifies the second incremental data in the image will be used to restore data.

-lr=<DiskLetter>

Optional

Specifies a disk letter. This parameter is case-insensitive.

Examples: -lr="k" or lr=k.

-sz="<PartitionSize>

Optional

Specifies a partition size. May be in the float-point format.

Example: -sz=512 or -sz='0.5 Gb'

-of="<PartitionOfset>

Optional

Specifies an offset from the beginning of the destination. May be in the float-point format. Default is 0.

Example: -of=512 or -of='0.5 Gb'

mail options

Optional

Sends e-mail messages if the action fails or succeeds and specifies e-mail parameters. If a personal firewall is installed on your computer, you should allow the r-driveimagecl.exe application to get access to the e-mail server.

-me

Optional

Sends an e-mail message when R-Drive Image fails to perform the specified action. May be used as a Boolean parameter.

-mx

Optional

Sends an e-mail message when R-Drive Image successfully performs the specified action. May be used as a Boolean parameter.

-ms=<SMTPServer[:port]>

Mandatory/Not used

Mandatory if the -me or/and -mx option is used. Specifies an SMTP server and port (optional).

Examples: -ms=mail.example.com or -ms=mail.example.com:25

-ma=<SenderEmail>

Mandatory/Not used

Mandatory if the -me or/and -mx option is used. Specifies a sender's e-mail address.

Example: -ma=rtt1@example.com

-mr=<RecepientEmail>

Mandatory/Not used

Mandatory if the -me or/and -mx option is used. Specifies a recipient's e-mail address or addresses.

Example: -ma=rtt2@example.com

-ml=<Login:Password>

Optional

Specifies a login and password at the SMTP server.

Example: -ml=rtt1:password

mail

Optional

Specifies all mail options globally for the entire script

Example:

mail -ms=mail.example.com -ma=rtt1@example.com -mr=rtt2@example.com -ml=rtt1:password -me -mx

This script sends e-mails confirming success or error of the action from rtt1@example.com to rtt2@example.com via the mail.example.com SMTP server using the default (25) port with the rtt1 login and password password.

list

Optional

Returns a partition list for a local disk

list -a="archive_name"

[-t="time_slice" -p="password"]

Optional

Returns a partition list for an image file

Boolean parameters

Those are parameters that may have Boolean values:

true, 1, yes, false, 0, no.

They may be used as keys (example: -u) or as parameters with values (example: -u=true).

Entities or Variables.

Entities may be used as variables to create various text strings. They are start with & and end with ;.

Version Entities.

In the examples below, the R-Drive Image version is assumed as 4.1.67

Entity | Description
&rdi.ver; | The R-Drive Image version. Example: "4.1"
&rdi.ver.build; | The R-Drive Image build. Example: "4167"
&rdi.ver.major; | The R-Drive Image major version. Example: "4"
&rdi.ver.minor; | The R-Drive Image minor version. Example: "1"
&rdi.ver.subminor; | The R-Drive Image sub-minor version. Example: "67"

Result Entities

Entity | Description
&rdi.last_result; | Returns the last result of R-Drive Image operation. May be undefined, success, failed.

Time Entities.

In the examples below, the system time is assumed as 11:10:04 AM

Entity | Description
&sys.time; | System time in the locale format. Example: "11:10:04". Please note that it is impossible to use this entity in file names because it contains an invalid character :.
&sys.time.m; | Minutes
&sys.time.h; | Hours in the 24 h format
&sys.time.h12; | Hours in the 12 h format
&sys.time.h24; | Hours in the 24 h format
&sys.time.s; | Seconds
&sys.time._m; | PM or AM

Date Entities.

In the examples below, the system date is assumed as February 1, 2007, Thursday

Entity | Description
&sys.date; | System date in the locale format. Example: "29/01/07". Please note that it is not recommended to use this entity in file names because that will create a chunk of folders.
&sys.date.d; | Month day. Example: "01"
&sys.date.m; | Month. Example: "02"
&sys.date.y; | Short year. Example: "07"
&sys.date.yyyy; | Long year. Example: "2007"
&sys.date.m.name; | Month name. Example: "February"
&sys.date.m.nm; | Short month name. Example: "Feb"
&sys.date.wd; | Week day number, starting from Sunday. Example: "5"
&sys.date.wd.name; | Week day name. Example: "Thursday"
&sys.date.wd.nm; | Short week day name. Example: "Th"

Enumeration Entities

Entity | Description
&rdi.enum; | Defines the number of calls to this entity. Starts from 0.
&rdi.enum.<Num>; | Defines the number of calls to this entity. Starts from 0. Num specifies the format of the number. Example: &rdi.enum.3; will return 001 for the second calls to this entity.

User-defined entities

You may create your own entities using the set command. Example:

set creat_date = "&sys.date.m.name;-&sys.date.d;-&sys.date.y;"

You may use this entity, for instance, set a command creating files with their date of creation as the file name:

create -a="D:\archive\&creat_date;.arc" -s="c:"

If the date when the script has been run is February 1, 2007, Thursday, this command will create an image of the logical disk C: and write it to the D:\archive\February-01-07.arc file.

Please note that the set command defines the entities rather than specifies their value. The actual value of an entity will be determined each time the entity is used. Example:

set creat_time = "&rdi.time.h24;-&rdi.time.m;-&rdi.time.s;"

and the creat_time entity is used in two commands in a script:

create -a="D:\archive\&creat_time;.arc" -s="c:"

create -a="D:\archive\&creat_time;.arc" -s="c:"

R-Drive Image will create two different files with different file names, each representing the time of file creation.

The unset command deletes entities. Example:

unset creat_date creat_time

After this command the creat_date and creat_time entities cannot be used and cause R-Drive Image to generate an error if they appear further in the script.

The Disk Actions chapter explains basic disk actions.

The Advanced Disk Actions chapter explains how to perform advanced disk actions.

The Technical Information chapter gives technical information on Supported CD and DVD Recorders and List of Supported Hardware Devices

Follow this link to obtain R-Drive Image Contact Information and Technical Support


Technical Informaiton

Technical Information

This chapter gives technical information on

· Supported CD and DVD Recorders
· List of Supported Hardware Devices

The Disk Actions chapter explains disk actions such as:

· Create an Image of a partition, logical disk, or entire hard drive
· Restore Data from an Image
· Copy Disk to Disk to make an exact copy of one disk on another
· Connect an Image as a Virtual Logical Disk (read-only)
· Disconnect Virtual Logical Disks
· Check an Image File to check an existing image file

The Advanced Disk Actions chapter explains how to perform advanced disk actions such as:

· Create Startup Disk
· Restoring Data to a System or Other Locked Disk
· Create an Image Using the Startup Floppy Disks
· Disk to Disk Copy

The Scheduled Actions, Command Line Operations, and Scripting chapter explains how to start disk actions automatically at scheduled times/events and create scripts that can be performed from a command line.

· Scheduler and Unattended Actions
· Scripting and Command Line Operations

The R-Drive Image Features topic tells more about R-Drive Image.

Follow this link to obtain R-Drive Image Contact Information and Technical Support.


Supported CD and DVD Recorders

Supported CD recorders

All IDE/SCSI/USB/FireWire (IEEE1394) CD recorders compatible with the MMC specification.

Supported DVD recorders

Any DVD+R/RW or DVD-R/RW drives for which packet (UDF) record software is installed (DirectCD/InCD/DLA). DVD discs should be formatted.

The Disk Actions chapter explains basic disk actions.

The Advanced Disk Actions chapter explains how to perform advanced disk actions.

The Technical Information chapter gives technical information on Supported CD and DVD Recorders and List of Supported Hardware Devices

Follow this link to obtain R-Drive Image Contact Information and Technical Support


List of Supported Hardware Devices

In the startup mode, R-Drive Image supports the following hardware devices:

(*: Only in the CD version)

Data Storage Devices

Block devices

Normal floppy disk

Compaq SMART2

Compaq Smart Array 5xxx

Mylex DAC960/DAC1100 PCI RAID Controller *

Promise SATA SX8 *

USB support

USB 2.0

USB Mass Storage

ATA/ATAPI/MFM/RLL

Generic ATA/ATAPI/MFM/RLL/ATA-2

OPTi 82C621 chipset enhanced *

AEC62XX chipset *

ALI M15x3 chipset *

AMD and nVidia IDE

ATI IXP chipset IDE *

CMD64{3|6|8|9} chipset *

Compaq Triflex IDE *

CY82C693 chipset *

Cyrix CS5510/20 MediaGX chipset *

Cyrix/National Semiconductor CS5530 MediaGX chipset *

HPT34X chipset *

HPT36X/37X chipset *

National SCx200 chipset *

Intel PIIXn chipsets

NS87415 chipset *

PROMISE PDC202{46|62|65|67}

PROMISE PDC202{68|69|70|71|75|76|77}

ServerWorks OSB4/CSB5/CSB6 chipsets *

Silicon Image chipset

SiS5513 chipset *

SLC90E66 chipset *

Tekram TRM290 chipset *

VIA82CXXX chipset *

SCSI low-level drivers

3ware 5/6/7/8xxx ATA-RAID *

3ware 9xxx SATA-RAID *

7000FASST SCSI *

ACARD SCSI *

Adaptec AHA152X/2825 *

Adaptec AHA1542 *

Adaptec AACRAID

Adaptec AIC7xxx Fast -> U160

Adaptec AIC7xxx *

Adaptec AIC79xx U320

Adaptec I2O RAID *

Always IN2000 SCSI *

LSI Logic Management Module *

LSI Logic MegaRAID Driver *

AHCI SATA *

ServerWorks Frodo / Apple K2 SATA *

Intel PIIX/ICH SATA *

NVIDIA SATA *

Promise SATA TX2/TX4 *

Pacific Digital SATA QStor *

Promise SATA SX4 *

Silicon Image SATA *

SiS 964/180 SATA *

ULi Electronics SATA *

VIA SATA *

VITESSE VSC-7174 SATA *

BusLogic SCSI

DMX3191D SCSI *

DTC3180/3280 SCSI *

EATA ISA/EISA/PCI (DPT and generic EATA/DMA-compliant boards) *

EATA-PIO (old DPT PM2001, PM2012A) *

Future Domain 16xx SCSI/AHA-2920A *

Intel/ICP (former GDT SCSI Disk Array) RAID Controller *

Generic NCR5380/53c400 SCSI PIO *

Generic NCR5380/53c400 SCSI MMIO *

IBM ServeRAID *

Initio 9100U(W) *

Initio INI-A100U2W *

NCR53c406a SCSI *

SYM53C8XX Version 2 SCSI

IBM Power Linux RAID adapter *

PAS16 SCSI *

PSI240i *

Qlogic FAS SCSI *

Qlogic ISP SCSI

Qlogic ISP FC SCSI

Qlogic QLA 1240/1x80/1x160 SCSI

QLogic ISP2100 host adapter family *

QLogic ISP2200 host adapter family *

QLogic ISP2300 host adapter family *

QLogic ISP2322 host adapter family *

QLogic ISP63xx host adapter family *

Symbios 53c416 SCSI *

Tekram DC395(U/UW/F) and DC315(U) SCSI *

Tekram DC390(T) and Am53/79C974 SCSI

Trantor T128/T128F/T228 SCSI *

UltraStor 14F/34F *

UltraStor SCSI *

Workbit NinjaSCSI-32Bi/UDE

IEEE 1394 (FireWire)

SBP-2 support (Harddisks etc.) *

Networking Devices

Ethernet (10 or 100Mbit)

Sun Happy Meal 10/100baseT *

Sun GEM *

3c501 `EtherLink` *

3c503 `EtherLink II` *

3c505 `EtherLink Plus` *

3c507 `EtherLink 16` *

3c509/3c529 (MCA)/3c569B (98)/3c579 `EtherLink III` *

3c515 ISA `Fast EtherLink` *

3c590/3c900 series (592/595/597) `Vortex/Boomerang` *

3cr990 series `Typhoon` *

AMD LANCE and PCnet (AT1500 and NE2100) *

WD80*3 *

SMC Ultra *

SMC 9194 *

NI5210 *

NI6510 *

Early DECchip Tulip (dc2104x) PCI *

DECchip Tulip (dc2114x) PCI *

Generic DECchip & DIGITAL EtherWORKS PCI/EISA *

Winbond W89c840 Ethernet *

Davicom DM910x/DM980x *

AT1700/1720/RE1000Plus(C-Bus) *

DEPCA, DE10x, DE200, DE201, DE202, DE422 *

HP 10/100VG PCLAN (ISA, EISA, PCI) *

Cabletron E21xx *

EtherExpress 16 *

EtherExpressPro support/EtherExpress 10 (i82595) *

HP PCLAN+ (27247B and 27252A) *

HP PCLAN (27245 and other 27xxx series) *

LP486E on board Ethernet *

ICL EtherTeam 16i/32 *

NE2000/NE1000 *

Zenith Z-Note *

SEEQ8005 *

AMD PCnet32 PCI *

AMD 8111 (new PCI lance) *

Adaptec Starfire/DuraLAN *

Ansel Communications EISA 3200 *

Apricot Xen-II on board Ethernet *

Broadcom 4400 ethernet *

Reverse Engineered nForce Ethernet *

CS89x0 *

Digi Intl. RightSwitch SE-X *

EtherExpressPro/100 *

Intel(R) PRO/100+ *

Myson MTD-8xx PCI Ethernet *

National Semiconductor DP8381x series PCI Ethernet *

PCI NE2000 and clones support (see help) *

RealTek RTL-8139 C+ PCI Fast Ethernet Adapter *

RealTek RTL-8139 PCI Fast Ethernet Adapter *

SiS 900/7016 PCI Fast Ethernet Adapter *

SMC EtherPower II *

Sundance Alta *

TI ThunderLAN *

VIA Rhine *

AT-LAN-TEC/RealTek pocket adapter *

D-Link DE600 pocket adapter *

D-Link DE620 pocket adapter *

Ethernet (1000 Mbit)

Alteon AceNIC/3Com 3C985/NetGear GA620 Gigabit *

D-Link DL2000-based Gigabit Ethernet *

Intel(R) PRO/1000 Gigabit Ethernet *

National Semiconduct DP83820 *

Packet Engines Hamachi GNIC-II *

Packet Engines Yellowfin Gigabit-NIC *

Realtek 8169 gigabit ethernet *

Marvell Yukon Chipset / SysKonnect SK-98xx Support *

VIA Velocity *

Broadcom Tigon3 *

Ethernet (10000 Mbit)

Intel(R) PRO/10GbE *

S2IO 10Gbe XFrame NIC *

Token Ring devices

IBM Tropic chipset based adapter *

IBM Olympic chipset PCI adapter *

IBM Lanstreamer chipset PCI adapter *

3Com 3C359 Token Link Velocity XL adapter *

SMC ISA/MCA adapter *

Wireless LAN

STRIP (Metricom starmode radio IP) *

Aironet Arlan 655 & IC2200 DS *

AT&T/Lucent old WaveLAN & DEC RoamAbout DS ISA *

Cisco/Aironet 34X/35X/4500/4800 ISA and PCI cards *

Hermes chipset 802.11b support (Orinoco/Prism2/Symbol) *

Hermes in PLX9052 based PCI adaptor support (Netgear MA301 etc.) *

Hermes in TMD7160 based PCI adaptor *

Prism 2.5 PCI 802.11b adaptor *

Atmel at76c50x chipset 802.11b *

Atmel at76c506 PCI cards *

USB Network Adapters

USB CATC NetMate-based Ethernet device *

USB KLSI KL5USB101-based ethernet device *

USB Pegasus/Pegasus-II based ethernet device *

USB RTL8150 based ethernet device *

The Disk Actions chapter explains basic disk actions.

The Advanced Disk Actions chapter explains how to perform advanced disk actions.

The Technical Information chapter gives technical information on Supported CD and DVD Recorders and List of Supported Hardware Devices

Follow this link to obtain R-Drive Image Contact Information and Technical Support


 Panel: Backup Options

To close this window, click this link or press the Esc key on the keyboard.

Backup Options Panel

Specify backup options on the Backup Options panel and click the Next button

BACK


 Panel: Action Selection

Action Selection Panel

Select a disk action you want to perform on the Action Selection panel and click the Next button.


 Panels: Copy Disk to Disk

Object Selection Panel

Select the object on the Source: on the Image Object Selection panel, select a destination, and click the Next button


 Panel: Image Date

Image Date/Time Selection Panel

Select the image creation date on the Image Date/Time Selection panel and click the Next button


 Panel: Image DateC

Image Date/Time Selection Panel

Select the image creation date on the Image Date/Time Selection panel and click the Next button


 Panel: Image Destination

Image Destination Panel

Select the place on the Image Destination panel to which the image files will be written, specify the file name, and click the Nextbutton


 Panel: Image File Selection

Image File Selection Panel

Select the file with the image on the Image File Selection panel and click the Next button


 Panel: Image File SelectionC

Image File Selection Panel

Select the file with the image on the Image File Selection panel and click the Next button


 Panel: Image Object (Connect)

Image Object Selection Panel

Select the object in the image file on the Image Object Selection panel, select a drive letter, and click the Next button


 Panel: Image Object Parameters

Image Object Parameters Panel

Specify restore parameters on the Restore/Copy Parameters panel and click the Next button


 Panel: Image Object Selection

Image Object Selection Panel

Select the object in the image file on the Image Object Selection panel, select a destination place, and click the Next button


 Panel: Image Options

Image Options Panel

Specify image options on the Image Options panel and click the Next button


 Panel:Image SelectionCh

Image File Selection Panel

Select the file with the image on the Image File Selection panel and click the Next button


 Panel:ImagingOption

Imaging Mode Panel

Select how the data will be written to an existing image file on the Imaging Mode panel, and click the Next button


 Panel: Partition Selection

Partition Selection Panel

Select the objects which image you want to create. Click the HDD icon to select all objects on the hard drive.


 Panel: Process

Processing Panel

Verify that the information on the Processing panel is correct and click the Start button. The Progress bar will show the progress of the current operation and overall process. You may cancel the current operation by clicking the Cancel button. The Operation canceled by user message will appear.


 Panel: Removable Storage Device Selection

Removable Storage Device Selection Panel

Select a device to create the startup disk(s) on the Removable Storage Device Selection panel, and click the Next button


 Panel: Restore/Copy Parameters

Restore/Copy Parameters Panel

Specify copy parameters on the Restore/Copy Parameters panel and click the Next button


 Panels: Connected Virtual Logical Disks

Connected Virtual Logical Disks Panel

Mark the disks on the Connected Virtual Logical Disks panel and click the Next button


 Panels:MailNotification

Mail Notification/Aux Applications Panel

Specify mail notification options (optional) and applications you want to run when the task will end successfully or failed (optional) on the Mail Notification/Aux Applications panel and click the Next button. These options are not mandatory and you may leave this panel empty.


 Panels:SchedBackOpt

Backup Options Panel

Specify backup options on the Backup Options panel and click the Next button


 Panels:Sched Image Destination

Image Destination Panel

Select the place on the Image Destination panel to which the image files will be written, specify the file name, and click the Nextbutton


 Panels:Sched Image Options

Image Options Panel

Specify image options on the Image Options panel and click the Next button


 Panels:Sched Imaging Mode

Imaging Mode Panel

Select how the data will be written to an existing image file on the Imaging Mode panel, and click the Next button


 Panels:Sched Partition Selection

Partition Selection Panel

Select the objects you want to backup on the Partition Selection panel and click the Next button. Click the HDD icon to select all objects on the hard drive.


 Panels:Scheduled Tasks

Scheduled Tasks Panel

Click a button on the Scheduled Tasks panel for the action you want to perform


 Panels:SchedUserPass

User/Password Panel

Specify a user name and password of a user from the Administrators user group on the User/Password panel and click the Next button. Click the Default button to make R-Drive Image to run as your default user.


 Panels:ScrBackOpt

Backup Options Panel

Specify backup options on the Backup Options panel and click the Next button


 Panels:Scr Image Destination

Image Destination Panel

Select the place on the Image Destination panel to which the image files will be written, specify the file name, and click the Nextbutton


 Panels:Scr Image Options

Image Options Panel

Specify image options on the Image Options panel and click the Next button


 Panels:Scr Imaging Mode

Imaging Mode Panel

Select how the data will be written to an existing image file on the Imaging Mode panel, and click the Next button


 Panels:ScrMailNotification

Mail Notification/Aux Applications Panel

Specify mail notification options (optional) and applications you want to run when the task will end successfully or failed (optional) on the Mail Notification/Aux Applications panel and click the Next button. These options are not mandatory and you may leave this panel empty.


 Panels:Scr Partition Selection

Partition Selection Panel

Select the objects you want to backup on the Partition Selection panel and click the Next button. Click the HDD icon to select all objects on the hard drive.


 Panels:Time/Event

Time/Event Panel

Specify time/event options on the Time/Event panel and click the Next button


Registration

 Top

You need to obtain a registration key to activate the R-Drive Image trial version. You may obtain this key online at the R-TT web site.

The registration keys are sent to customer e-mail boxes immediately after purchase.

With the purchase of a new R-TT software product, you receive one year of support services that includes technical support, customer support and all upgrades and new releases for your product during that term. When your 1-year support service expires, you will need to renew that support at a discounted price to continue receiving support services. The renewal support purchase will extend your support by 1-year from the date of its expiration.

More details are on the Buy On Line page at the R-TT web site.

To obtain a registration key,

· go to the Buy On Line page at the R-TT web site.

To register with a registration key,

 Click the Register button on the Trial Version panel

The Please register R-Drive Image message will appear.

‚ Enter the registration information and click the OK button

The panel will change its name to Registered Version and show the registration information.

The Disk Actions chapter explains basic disk actions.

The Advanced Disk Actions chapter explains how to perform advanced disk actions.

The Technical Information chapter gives technical information on Supported CD and DVD Recorders and List of Supported Hardware Devices

Follow this link to obtain R-Drive Image Contact Information and Technical Support


Support Request Form

 Top
New Document
Personal Info
Name
Company
E-mail*
Order ID# (if applicable)
Phone number

System Info
Operating System*
File System
HDD model
HDD driver version

Problem description

Back